##

This is the API

## createUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.io/v2/user`

### HTTP Method

`POST`

### Response Type

### Parameters

- Body: body User(User)

  Created user object

## createUsersWithArrayInput

### URL

`http://petstore.swagger.io/v2/user/createWithArray`

### HTTP Method

`POST`

### Response Type

### Parameters

- Body: body List(User)

  List of user object

## createUsersWithListInput

### URL

`http://petstore.swagger.io/v2/user/createWithList`

### HTTP Method

`POST`

### Response Type

### Parameters

- Body: body List(User)

  List of user object

## deleteUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.io/v2/user/{username}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

- Path: username String

  The name that needs to be deleted

## getUserByName

### URL

`http://petstore.swagger.io/v2/user/{username}`

### HTTP Method

`GET`

### Response Type

User

### Parameters

- Path: username String

  The name that needs to be fetched. Use user1 for testing.

## loginUser

### URL

`http://petstore.swagger.io/v2/user/login`

### HTTP Method

`GET`

### Response Type

String

### Parameters

- Query: username String

  The user name for login

- Query: password String

  The password for login in clear text

## logoutUser

### URL

`http://petstore.swagger.io/v2/user/logout`

### HTTP Method

`GET`

### Response Type

### Parameters

## updateUser

This can only be done by the logged in user.

### URL

`http://petstore.swagger.io/v2/user/{username}`

### HTTP Method

`PUT`

### Response Type

### Parameters

- Path: username String

  name that need to be deleted

- Body: body User(User)

  Updated user object